Name:    pairs
Version: 4.9.3
Release: 1%{?dist}
Summary: Memory and logic stimulation game for preschool children

License: GPLv2 or GPLv3
URL:     http://www.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches
Patch100: pairs-4.8.95-dt_validate.patch

BuildRequires: kdelibs4-devel >= %{version}


%description
Pairs is a collection of games aimed to help the development
of preschool children. With these games the child can improve
memory, logic, hearing and even reading skills. Each game can
have different themes so the child is stimulated with
different and new challenges.


%prep
%setup -q

%patch100 -p1 -b .dt_validate


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/pairs.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%files
%doc README COPYING
%{_kde4_bindir}/pairs
%{_kde4_datadir}/applications/kde4/pairs.desktop
%{_kde4_configdir}/pairs.knsrc
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/pairs/


%changelog
* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.3-1
- 4.9.3

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 4.9.1-1
- 4.9.1

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Thu Jun 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.95-1
- 4.8.95

* Wed Jun 13 2012 Jaroslav Reznik <jreznik@redhat.com> 4.8.90-1
- 4.8.90
- Fedora and the other non-free logo removed

* Thu May 31 2012 Jaroslav Reznik <jreznik@redhat.com> 4.8.80-1
- initial try
